Send a follow-up message or answer a pending input request
curl --request POST \
--url https://api.usenotra.com/v2/eve/v1/session/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"inputResponses": [
{
"requestId": "<string>",
"optionId": "<string>"
}
]
}
'import requests
url = "https://api.usenotra.com/v2/eve/v1/session/{sessionId}"
payload = {
"message": "<string>",
"inputResponses": [
{
"requestId": "<string>",
"optionId": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: '<string>',
inputResponses: [{requestId: '<string>', optionId: '<string>'}]
})
};
fetch('https://api.usenotra.com/v2/eve/v1/session/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"limit": 2,
"remaining": 1,
"reset": 123
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}Send a follow-up message or answer a pending input request
Sends the next turn of an agent session. The server binds the session’s stored continuation token, so the client-provided one is ignored. Answer input.requested events (tool approvals, questions) from the event stream via inputResponses.
POST
https://api.usenotra.com
/
v2
/
eve
/
v1
/
session
/
{sessionId}
Send a follow-up message or answer a pending input request
Authorizations
Send your API key in the Authorization header as Bearer API_KEY.
Path Parameters
Minimum string length:
1Body
application/json
Response
Upstream eve response with the next continuation token for this session.
The response is of type object.
Last modified on October 2, 2026
Was this page helpful?